################################################
# Config File
# Configurates awe and specific application
################################################

################################################
# Application data
################################################
# Base encoding for all files
application.encoding=UTF-8
# Application name
application.name=AWE (Almis Web Engine)
# Application default theme
application.theme=sky
# Application acronym (in lowercase)
application.acronym=awe
# Application version
application.version=@project.version@

################################################
# Application Files (XML definitions)
################################################
application.files.action=Actions
application.files.service=Services
application.files.enumerated=Enumerated
application.files.query=Queries
application.files.queue=Queues
application.files.maintain=Maintain
application.files.components=Components
application.files.templates=Templates
application.files.email=Email
application.files.locale=Locale-
application.files.menu.public=public
application.files.menu.private=private

################################################
# Global Paths
# (@ means relative path to app base path)
################################################
application.base.path=/${application.acronym}
application.paths.application=application/
application.paths.global=/global/
application.paths.locale=/locale/
application.paths.screen=/screen/
application.paths.profile=/profile/
application.paths.menu=/menu/
application.paths.templates=templates/
application.paths.templates.angular=angular/
application.paths.tag=tags/
application.paths.tag.angular=${application.paths.tag}angular/
application.paths.server=
application.paths.images=images/
application.paths.reports=@reports/
application.paths.reports.historic=@historicReports/
application.paths.jrx=/jrx/
application.paths.temp=/tmp/
application.paths.log=/log/

################################################
# Application Icons
################################################
# Favicon
application.icon.favicon=${application.paths.images}icon/favicon-awe.ico
# Apple icon 57x57
application.icon.phone=${application.paths.images}icon/favicon-awe.ico
# Apple icon 114x114
application.icon.tablet=${application.paths.images}icon/favicon-awe.ico

################################################
# Application parameters
################################################
# Default action parameter value
application.parameter.screen=screen
# Default frame parameter name
application.parameter.frame=frame
# Token variable
application.parameter.token=t
# Default address parameter
application.parameter.address=address
# Default view parameter
application.parameter.view=view
# Default component parameter name
application.parameter.component=component

################################################
# Screen configuration
################################################
# Home screen name
screen.configuration.home=home
# Change password screen
screen.configuration.change.password=/screen/change_password
# Information screen
screen.configuration.information=information
# Screen access base
screen.configuration.base=screen

################################################
# Screen parameters
################################################
# User parameter
screen.parameter.username=cod_usr
# Password parameter
screen.parameter.password=pwd_usr

################################################
# Language
################################################
# Language
language.default=en
# Available languages
language.list=en,es,fr

################################################
# Extensions
################################################
extensions.xml=.xml
extensions.html=.html

################################################
# Print
################################################
# Show all print options
print.show.options=true

################################################
# Debug and log (Javascript)
################################################
# Action Stack Miliseconds to display: Turn off setting as 0
client.action.stack=0
# Javascript debug level (DEBUG, INFO, WARNING, ERROR)
client.debug.level=INFO

################################################
# Log (Server)
################################################
# Log name parameter
application.log.name=name
# Log level parameter
application.log.level=level

################################################
# Connection protocols
################################################
# Connection main protocol [AJAX|COMET]
connection.protocol=COMET
# Comet main protocol (default: 'websocket')
# [polling, long-polling, streaming, jsonp and websocket]
connection.transport=websocket
# Comet fallback (backup) protocol (default: 'streaming')
# [polling, long-polling, streaming, jsonp and websocket]
connection.backup=streaming
# Connection timeout (should be lower than tomcat timeout)
connection.timeout=60000000

################################################
# Application Defaults
################################################
# Rows per page (Set to 0 to avoid pagination)
application.data.rowsPerPage=30
# Pixels per char in grids
application.data.pixelsPerCharacter=8
# Empty computed values if one of the wildcards are empty
application.data.set.computed.empty.if.null=true
# Suggest timeout in milliseconds
application.suggest.timeout=300
# Default component size (sm/md/lg)
application.default.component.size=sm
# Reload current screen
application.reload.current.screen=false
# Loading timeout
application.screen.load.timeout=10000

################################################
# File Upload
################################################
# Upload identifier
file.upload.identifier=u
# Download identifier
file.download.identifier=d
# Path for file uploads (Relative to application.base.path starts with @)
file.upload.path=@upload/
# Max size of files (in MB)
file.upload.max.size=500
# Spring multipart configuration override
spring.http.multipart.maxFileSize=${file.upload.max.size}MB
spring.http.multipart.maxRequestSize=${file.upload.max.size}MB
# Max elements per folder
file.upload.max.files.folder=1000

################################################
# Tooltip timeouts
################################################
# Timeout for ok messages
tooltip.timeout.ok=2000
# Timeout for error messages
tooltip.timeout.error=0
# Timeout for warning messages
tooltip.timeout.warning=4000
# Timeout for info messages
tooltip.timeout.info=0
# Timeout for validation messages
tooltip.timeout.validation=2000
# Timeout for help messages
tooltip.timeout.help=5000
# Timeout for chat messages
tooltip.timeout.chat=0

################################################
# Jms configuration properties
################################################
# JMS Activation
awe.jms.enabled=false
# Default Jms Service timeOut (in milliseconds)
awe.jms.service.timeout=10000
# Default Jms Service timeToLive
awe.jms.message.time.to.live=0

################################################
# REST configuration properties
################################################
# Connection timeout
rest.connection.timeout=5
# Request timeout
rest.request.timeout=5

################################################
# ThymeLeaf configuration properties
################################################
spring.thymeleaf.prefix=classpath:/templates/
spring.thymeleaf.suffix=.html
spring.thymeleaf.mode=LEGACYHTML5
spring.thymeleaf.cache=true

################################################
# Thread pool properties
################################################
awe.task-pool.size=20
awe.task-pool.max-size=50
awe.task-pool.queue-size=100
awe.task-pool.termination-seconds=120
awe.task-pool.thread-prefix=AweThread-

################################################
# Logger properties
################################################
application.log.base.path=/logs
application.log.users.level=info
# Flag to activate custom user file logs (true | false)
application.log.users.enabled=true
# Log inside users home
application.log.users.home=false